;6502SDK sample file
;
; Fills the memory from 'start' to 'end' with
; the values 00, 01, 02,...
;
start equ $0400
end equ $0750
pt = $fb	;pointer in zero page

	org $c000
	lda #<start
	sta pt
	lda #>start
	sta pt+1

	ldy #$00
	lda #$00	;start from $00
loop:	txa
	sta (pt),y
	inx
	inc pt
	bne l1
	inc pt+1
l1:	lda #>end
	cmp pt+1
	bcc loop
l2:	lda #<end
	cmp pt
	bcc loop

	brk